%global debug_package %{nil}

Name:           libstp
Version:        1.2.0
Release:        1
Summary:        A simple setup tool suit
BuildArch:      %{_target_cpu}

License:        Apache-2.0
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  libstp
#Requires:       libstp-extras

%description
A library made by the Setup Tooling Project

%prep
%setup -q

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_datadir}/licenses/%{name}
mkdir -p %{buildroot}/%{_libdir}/libstp
make
cp libstp-c.h %{buildroot}/%{_libdir}/libstp
cp libstp-c.so %{buildroot}/%{_libdir}/libstp
cp LICENSE %{buildroot}/%{_datadir}/licenses/%{name}

%files
%{_libdir}/libstp/libstp-c.h
%{_libdir}/libstp/libstp-c.so
%license %{_datadir}/licenses/%{name}/LICENSE

%changelog
%autochangelog
